Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.space
Class Location3DDoubleAdapter

    java.lang.Object
      org.eclipse.amp.axf.space.Location1DDoubleAdapter
          org.eclipse.amp.axf.space.Location2DDoubleAdapter
              org.eclipse.amp.axf.space.Location3DDoubleAdapter

All Implemented Interfaces:
  ILocation, ILocation1D, ILocation2D, ILocation3D

    public abstract class Location3DDoubleAdapter

extends Location2DDoubleAdapter
implements ILocation3D

A marker interface. The measures are not defined.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Constructor Summary
`Location3DDoubleAdapter()`

Method Summary
`java.lang.Object` | `getZ()`
`abstract double` | `getZDouble()`
`int` | `getZInteger()`

Methods inherited from class org.eclipse.amp.axf.space.Location2DDoubleAdapter
`getY, getYDouble, getYInteger`

Methods inherited from class org.eclipse.amp.axf.space.Location1DDoubleAdapter
`getX, getXDouble, getXInteger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation2D
`getY, getYDouble, getYInteger`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation1D
`getX, getXDouble, getXInteger`

Constructor Detail

### Location3DDoubleAdapter

    public Location3DDoubleAdapter()

Method Detail

### getZ

    public final java.lang.Object getZ()

  Specified by:
    `getZ` in interface `ILocation3D`
  Returns:
  See Also:
    `ILocation2D.getY()`

### getZInteger

    public final int getZInteger()

  Specified by:
    `getZInteger` in interface `ILocation3D`
  Returns:
  See Also:
    `ILocation2D.getYInteger()`

### getZDouble

    public abstract double getZDouble()

  Specified by:
    `getZDouble` in interface `ILocation3D`
  Returns:
  See Also:
    `ILocation2D.getYDouble()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD